|  | Home · All Classes · Modules

# QTimeEdit Class Reference
[QtGui module]

The QTimeEdit class provides a widget for editing times based on the QDateTimeEdit widget. More...

Inherits QDateTimeEdit.

### Methods

- __init__ (self, QWidget parent = None)
- __init__ (self, QTime, QWidget parent = None)

## Detailed Description

The QTimeEdit class provides a widget for editing times based on the QDateTimeEdit widget.

Many of the properties and functions provided by QTimeEdit are implemented in QDateTimeEdit. The following properties are most relevant to users of this class:

- time holds the date displayed by the widget.
- minimumTime defines the minimum (earliest) time that can be set by the user.
- maximumTime defines the maximum (latest) time that can be set by the user.
- displayFormat contains a string that is used to format the time displayed in the widget.

| A time editing widget shown in the Windows XP widget style.
| A time editing widget shown in the Macintosh widget style.
| A time editing widget shown in the Plastique widget style.

See also QDateEdit and QDateTimeEdit.

## Method Documentation

### QTimeEdit.__init__ (self, QWidget parent = None)

The parent argument, if not None, causes self to be owned by Qt instead of PyQt.

Constructs an empty time editor with a parent.

### QTimeEdit.__init__ (self, QTime, QWidget parent = None)

The parent argument, if not None, causes self to be owned by Qt instead of PyQt.

Constructs an empty time editor with a parent. The time is set to time.